MS_ADPCM_decoder Struct Reference
Collaboration diagram for MS_ADPCM_decoder:
[legend]

## Data Fields

WaveFMT | wavefmt
Uint16 | wSamplesPerBlock
Uint16 | wNumCoef
Sint16 | aCoeff [7][2]
struct MS_ADPCM_decodestate | state [2]

## Detailed Description

Definition at line 38 of file SDL_wave.c.

## Field Documentation

## aCoeff

Sint16 MS_ADPCM_decoder::aCoeff[7][2]

Definition at line 43 of file SDL_wave.c.

Referenced by InitMS_ADPCM(), and MS_ADPCM_decode().

## state

struct MS_ADPCM_decodestate MS_ADPCM_decoder::state[2]

Definition at line 45 of file SDL_wave.c.

Referenced by MS_ADPCM_decode().

## wavefmt

WaveFMT MS_ADPCM_decoder::wavefmt

Definition at line 40 of file SDL_wave.c.

Referenced by InitMS_ADPCM(), and MS_ADPCM_decode().

## wNumCoef

Uint16 MS_ADPCM_decoder::wNumCoef

Definition at line 42 of file SDL_wave.c.

Referenced by InitMS_ADPCM().

## wSamplesPerBlock

Uint16 MS_ADPCM_decoder::wSamplesPerBlock

Definition at line 41 of file SDL_wave.c.

Referenced by InitMS_ADPCM(), and MS_ADPCM_decode().

The documentation for this struct was generated from the following file:

- src/audio/SDL_wave.c